<?php
defined('_JEXEC') or die;


class ModMycontentHelper {
	
	public static function getList() {
		
		$list = array();
		
		$db = JFactory::getDbo();

		$query = $db->getQuery(TRUE);
		///
		$query->select($db->quoteName(array('c.id', 'c.title', 'c.alias', 'c.introtext', 'c.images', 'c.catid', 'c.created_by')));
		
		$query->from($db->quoteName('#__content','c'));
		
		$query->select($db->quoteName('u.name','user_name'));
		$query->join('LEFT',$db->quoteName('#__users','u').' ON '.$db->quoteName('c.created_by') . ' = '. $db->quoteName('u.id'));
		
		$query->select($db->quoteName(array('con.id','con.alias'),array('contact_id','contact_alias')));
		
		
$query->join('LEFT',$db->quoteName('#__contact_details','con').' ON '.$db->quoteName('con.user_id') . ' = '. $db->quoteName('u.id'));


		$query->select($db->quoteName(array('cat.title','cat.alias'),array('cat_title','cat_alias')));
		
		
$query->join('LEFT',$db->quoteName('#__categories','cat').' ON '.$db->quoteName('c.catid') . ' = '. $db->quoteName('cat.id'));
		
		$i = 1;
		
		$query->where($db->quoteName('c.state'). ' = '. $db->quote($i));
		
		$date = $db->quote(JFactory::getDate()->toSql());
		$nulldate = $db->quote($db->getNullDate());
			
		$query->where($db->quoteName('c.publish_down'). ' = '. $nulldate . ' OR ' . $db->quoteName('c.publish_down') . ' > '. $date);	
		
		$query->order('c.id DESC');
		
		$query->setLimit(3);
		

		//echo $query;//SELECT id, title, alias FROM ......

		$db->setQuery($query);
		
		$list = $db->loadObjectList();
		
		//$list = $db->loadResult();
		//$list = $db->loadObject();
		//$list = $db->loadAssoc();
		//$list = $db->loadAssocList('id','title');
		//$list = $db->loadColumn(2);
		//$list = $db->loadRow();
		//$list = $db->loadRowList();
		//$db->execute();
		//echo "|";
		//echo $db->getNumRows();
		
		foreach($list as $item) {
			$item->images = json_decode($item->images);
			
			$item->slug = $item->id.':'.$item->alias;//id:alias
			$item->catslug = $item->catid.':'.$item->cat_alias;//id:alias
			
		}
		
			
		return $list;	
	}
}

?>